#pragma once

#include "CoreMinimal.h"
#include "KillerPower.h"
#include "DBDTunableRowHandle.h"
#include "K05Power.generated.h"

class UCurveFloat;
class ADBDPlayer;

UCLASS(Blueprintable)
class AK05Power : public AKillerPower
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _slowdownTimeAfterTeleport;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _speedCurve;

private:
	UFUNCTION(BlueprintCallable)
	void OnTeleportInteractionFinished(ADBDPlayer* player, bool hasInteractionStarted);

public:
	AK05Power();
};

FORCEINLINE uint32 GetTypeHash(const AK05Power) { return 0; }
